Bug 185344 - math/labplot: Update to version 2.0.0.b2
math/labplot: Update to version 2.0.0.b2
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Danilo Egea Gondolfo
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-12-30 21:10 UTC by tkato432
Modified: 2014-01-16 20:40 UTC (History)
0 users

See Also:


Attachments
file.diff (2.54 KB, patch)
2013-12-30 21:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-12-30 21:10:10 UTC
- Update to version 2.0.0.b2
Comment 1 Danilo Egea Gondolfo freebsd_committer 2013-12-31 02:53:50 UTC
Responsible Changed
From-To: freebsd-ports-bugs->danilo

I'll take it.
Comment 2 Danilo Egea Gondolfo freebsd_committer 2014-01-16 20:37:16 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 3 dfilter freebsd_committer 2014-01-16 20:37:22 UTC
Author: danilo
Date: Thu Jan 16 20:37:09 2014
New Revision: 339981
URL: http://svnweb.freebsd.org/changeset/ports/339981
QAT: https://qat.redports.org/buildarchive/r339981/

Log:
  - Update from 2.0.0.beta1 to 2.0.0.beta2
  
  while here
  - Convert "if's" to options helpers
  
  PR:		ports/185344
  Submitted by:	KATO Tsuguru <tkato432@yahoo.com>

Modified:
  head/math/labplot/Makefile
  head/math/labplot/distinfo
  head/math/labplot/pkg-plist

Modified: head/math/labplot/Makefile
==============================================================================
--- head/math/labplot/Makefile	Thu Jan 16 20:34:06 2014	(r339980)
+++ head/math/labplot/Makefile	Thu Jan 16 20:37:09 2014	(r339981)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	labplot
-DISTVERSION=	2.0.0.beta1
+DISTVERSION=	2.0.0.beta2
 CATEGORIES=	math kde
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/${PORTVERSION:R}
 
@@ -18,33 +18,25 @@ CDF_DESC=	CDF data support
 HDF5_DESC=	HDF5 data support
 NETCDF_DESC=	NetCDF data support
 
+WRKSRC=		${WRKDIR}/beta2
+
 USE_BZIP2=	yes
 USES=		cmake
 USE_XORG=	xft xpm
 USE_GCC=	yes
-USE_KDE4=	automoc4 kdelibs kdeprefix
+USE_KDE4=	automoc4 kdelibs kdeprefix sharedmime
 USE_QT4=	moc_build qmake_build rcc_build uic_build
 CMAKE_ARGS=	-DOPJ_LIBRARY:STRING=""
+INSTALLS_ICONS=	yes
+
+CDF_LIB_DEPENDS=	libcdf.so:${PORTSDIR}/science/cdf
+CDF_CMAKE_OFF=		-DCDF_LIBRARY:STRING=""
 
-.include <bsd.port.options.mk>
+HDF5_LIB_DEPENDS=	libhdf5.so:${PORTSDIR}/science/hdf5	
+HDF5_CMAKE_OFF=		-DHDF5_LIBRARY:STRING=""
 
-.if ${PORT_OPTIONS:MCDF}
-LIB_DEPENDS+=	libcdf.so:${PORTSDIR}/science/cdf
-.else
-CMAKE_ARGS+=	-DCDF_LIBRARY:STRING=""
-.endif
-
-.if ${PORT_OPTIONS:MHDF5}
-LIB_DEPENDS+=	libhdf5.so:${PORTSDIR}/science/hdf5
-.else
-CMAKE_ARGS+=	-DHDF5_LIBRARY:STRING=""
-.endif
-
-.if ${PORT_OPTIONS:MNETCDF}
-LIB_DEPENDS+=	libnetcdf.so:${PORTSDIR}/science/netcdf
-.else
-CMAKE_ARGS+=	-DNETCDF_LIBRARY:STRING=""
-.endif
+NETCDF_LIB_DEPENDS=	libnetcdf.so:${PORTSDIR}/science/netcdf
+NETCDF_CMAKE_OFF=	-DNETCDF_LIBRARY:STRING=""
 
 post-patch:
 	@${REINPLACE_CMD} -e \

Modified: head/math/labplot/distinfo
==============================================================================
--- head/math/labplot/distinfo	Thu Jan 16 20:34:06 2014	(r339980)
+++ head/math/labplot/distinfo	Thu Jan 16 20:37:09 2014	(r339981)
@@ -1,2 +1,2 @@
-SHA256 (labplot-2.0.0.beta1.tar.bz2) = 3e68b7a8036a51670a2011c671a7163dd49ddec79b77c80df1cabbbc019e4221
-SIZE (labplot-2.0.0.beta1.tar.bz2) = 1290084
+SHA256 (labplot-2.0.0.beta2.tar.bz2) = 1227fb0e2186bde8a71dba68a12f6793ea784e28937a097a1d9843e9b9c83a60
+SIZE (labplot-2.0.0.beta2.tar.bz2) = 558705

Modified: head/math/labplot/pkg-plist
==============================================================================
--- head/math/labplot/pkg-plist	Thu Jan 16 20:34:06 2014	(r339980)
+++ head/math/labplot/pkg-plist	Thu Jan 16 20:37:09 2014	(r339981)
@@ -1,27 +1,60 @@
 bin/labplot2
-share/apps/LabPlot/LabPlotui.rc
-share/apps/LabPlot/labplot.png
-share/apps/LabPlot/pics/auto-scale-all.png
-share/apps/LabPlot/pics/auto-scale-x.png
-share/apps/LabPlot/pics/auto-scale-y.png
-share/apps/LabPlot/pics/axis-horizontal.png
-share/apps/LabPlot/pics/axis-vertical.png
-share/apps/LabPlot/pics/editbreaklayout.png
-share/apps/LabPlot/pics/editgrid.png
-share/apps/LabPlot/pics/edithlayout.png
-share/apps/LabPlot/pics/editvlayout.png
-share/apps/LabPlot/pics/shift-down-y.png
-share/apps/LabPlot/pics/shift-left-x.png
-share/apps/LabPlot/pics/shift-right-x.png
-share/apps/LabPlot/pics/shift-up-y.png
-share/apps/LabPlot/pics/x-zoom-in.png
-share/apps/LabPlot/pics/x-zoom-out.png
-share/apps/LabPlot/pics/xy-curve.png
-share/apps/LabPlot/pics/y-zoom-in.png
-share/apps/LabPlot/pics/y-zoom-out.png
-share/apps/LabPlot/pics/zoom-in-x.png
-share/apps/LabPlot/pics/zoom-in-y.png
-share/apps/LabPlot/pics/zoom-out-x.png
-share/apps/LabPlot/pics/zoom-out-y.png
-@dirrm share/apps/LabPlot/pics
-@dirrm share/apps/LabPlot
+share/applications/kde4/LabPlot2.desktop
+share/apps/LabPlot2/LabPlot2ui.rc
+share/apps/LabPlot2/pics/TeX_logo.png
+share/apps/LabPlot2/pics/auto-scale-all.png
+share/apps/LabPlot2/pics/auto-scale-x.png
+share/apps/LabPlot2/pics/auto-scale-y.png
+share/apps/LabPlot2/pics/axis-horizontal.png
+share/apps/LabPlot2/pics/axis-vertical.png
+share/apps/LabPlot2/pics/editbreaklayout.png
+share/apps/LabPlot2/pics/editgrid.png
+share/apps/LabPlot2/pics/edithlayout.png
+share/apps/LabPlot2/pics/editvlayout.png
+share/apps/LabPlot2/pics/shift-down-y.png
+share/apps/LabPlot2/pics/shift-left-x.png
+share/apps/LabPlot2/pics/shift-right-x.png
+share/apps/LabPlot2/pics/shift-up-y.png
+share/apps/LabPlot2/pics/x-zoom-in.png
+share/apps/LabPlot2/pics/x-zoom-out.png
+share/apps/LabPlot2/pics/xy-curve.png
+share/apps/LabPlot2/pics/y-zoom-in.png
+share/apps/LabPlot2/pics/y-zoom-out.png
+share/apps/LabPlot2/pics/zoom-in-x.png
+share/apps/LabPlot2/pics/zoom-in-y.png
+share/apps/LabPlot2/pics/zoom-out-x.png
+share/apps/LabPlot2/pics/zoom-out-y.png
+share/apps/LabPlot2/splash.png
+share/icons/hicolor/128x128/apps/LabPlot2.png
+share/icons/hicolor/22x22/apps/LabPlot2.png
+share/icons/hicolor/256x256/apps/LabPlot2.png
+share/icons/hicolor/32x32/apps/LabPlot2.png
+share/icons/hicolor/48x48/apps/LabPlot2.png
+share/icons/hicolor/512x512/apps/LabPlot2.png
+share/icons/hicolor/64x64/apps/LabPlot2.png
+share/mime/packages/lml.desktop
+@dirrmtry share/mime/packages
+@dirrmtry share/mime
+@dirrmtry share/icons/hicolor/64x64/apps
+@dirrmtry share/icons/hicolor/64x64
+@dirrmtry share/icons/hicolor/512x512/apps
+@dirrmtry share/icons/hicolor/512x512
+@dirrmtry share/icons/hicolor/48x48/apps
+@dirrmtry share/icons/hicolor/48x48
+@dirrmtry share/icons/hicolor/32x32/apps
+@dirrmtry share/icons/hicolor/32x32
+@dirrmtry share/icons/hicolor/256x256/apps
+@dirrmtry share/icons/hicolor/256x256
+@dirrmtry share/icons/hicolor/22x22/apps
+@dirrmtry share/icons/hicolor/22x22
+@dirrmtry share/icons/hicolor/128x128/apps
+@dirrmtry share/icons/hicolor/128x128
+@dirrmtry share/icons/hicolor
+@dirrmtry share/icons
+@dirrmtry share/apps/LabPlot2/pics
+@dirrmtry share/apps/LabPlot2
+@dirrmtry share/apps
+@dirrmtry share/applications/kde4
+@dirrmtry share/applications
+@dirrmtry share
+@dirrmtry bin
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"